Mono Colombia

List tenant accounts

Lists all accounts associated with the authenticated tenant with optional filters.

GET
/api/v1/tenant/accounts
AuthorizationBearer <token>

In: header

Scope: tenant_accounts:readonly

Query Parameters

type?string

Filter by account type

Value in"savings_account" | "checking_account" | "low_amount_deposit" | "inclusive_amount_deposit" | "regular_deposit"
number?string

Filter by account number (exact match)

role?string

Filter by tenant account role

Value in"receptor" | "originator" | "all"
state?string

Filter by tenant account state

Value in"active" | "inactive"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://breb-participant.sandbox.mono.la/api/v1/tenant/accounts"
[
  {
    "beneficiary": {
      "document_number": "1234567890",
      "document_type": "CC",
      "full_name": "Juan Pérez",
      "type": "natural"
    },
    "currency_code": "COP",
    "id": "bbtacc_5tgliBmzjZ6mpQPRbQjfKj",
    "inserted_at": "2022-01-01T01:00:00Z",
    "number": "1234567890",
    "role": "originator",
    "state": "active",
    "type": "savings_account",
    "updated_at": "2022-01-01T01:00:00Z"
  }
]
{
  "code": "401 Unauthorized",
  "errors": [
    {
      "error_code": "missing_authorization_header",
      "message": "`Authorization` header is missing.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Authorization header is missing or invalid."
}
{
  "code": "403 Forbidden",
  "errors": [
    {
      "error_code": "not_authorized",
      "message": "Not authorized to have access to this resource.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Not authorized to have access to this resource"
}
{
  "code": "500 Internal Server Error",
  "errors": [
    {
      "error_code": "internal_error",
      "message": "An unexpected error occurred",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Something went wrong on the Server"
}